<?php $row = $wpdb->get_row("SELECT * FROM `".whmp_get_group_table_name()."` WHERE `id`=".$_GET["edit"]); ?>
<h3>Manage settings for <u><?php echo $row->name ?></u></h3>
<span class="dashicons dashicons-arrow-left-alt"></span> <a href="?page=whmp-groups">Back to Groups</a>

<style>
#table {
    width:100%;
    padding:10px;
    margin:auto;
}
#table tr td {
    padding:5px;
}
#table tr td:first-child {
    text-align:right;
}
#table tr th {
    background-color:#C9C9C9;
    font-size:15px;
    padding:10px;
}
.grid {
    float:left;
    width:48%;
    background:#EEEEEE;
    border:1px solid #000000;
    margin-left:1%;
}
</style>

<form action="?page=whmp-groups" method="post">
    <input type="hidden" name="id" value="<?php echo $row->id ?>" />
    <div style="text-align: center;">
        <input type="submit" value="Save Group" class="button button-primary" />
    </div>
<div style="padding-top: 20px;">
    <div class="grid">
        <table id="table">
            <tr>
                <th colspan="2">Group Options</th>
            </tr>
            <tr>
                <td><label for="gname">Group Name:</label></td>
                <td><input type="text" required="required" value="<?php echo $row->name ?>" name="name" id="gname" placeholder="Group Name" /></td>
            </tr>
            <tr>
                <td colspan="3"><textarea style="width: 100%;height:75px" placeholder="Group Notes" id="gdesc" name="description"><?php echo $row->description ?></textarea></td>
            </tr>
            
            <tr>
                <th colspan="2">Table Options</th>
            </tr>
            <!--tr>
                <td><label for="html_id">HTML id:</label></td>
                <td><input name="html_id" id="html_id" value="<?php echo $row->html_id ?>" ></td>
            </tr>
            <tr>
                <td><label for="html_class">HTML class:</label></td>
                <td><input name="html_class" id="html_class" value="<?php echo $row->html_class ?>" ></td>
            </tr-->
            <tr>
                <td><label for="rows">Number of rows for features:</label></td>
                <td><select name="rows" id="rows">
                    <option value="0">== All ==</option>
                    <?php for($x=1; $x<=20; $x++): $S = $x==$row->rows?"selected=selected":""; ?>
                    <option <?php echo $S ?> value="<?php echo $x ?>"><?php echo $x ?></option>
                    <?php endfor; ?>
                </select></td>
            </tr>
            <tr>
                <td><label for="color">Color scheme:</label></td>
                <td><select name="color" id="color">
                    <option value="green">== Default (green) ==</option>
                    <option <?php echo $row->color=="red"?"selected=selected":"" ?> value="red">Red</option>
                    <option <?php echo $row->color=="blue"?"selected=selected":"" ?> value="blue">Gray</option>
                    <option <?php echo $row->color=="orange"?"selected=selected":"" ?> value="orange">Orange</option>
                    <option <?php echo $row->color=="yellow"?"selected=selected":"" ?> value="yellow">Yellow</option>
                </select></td>
            </tr>
            <tr>
                <td><label for="alternate_rows">Alternate rows:</label></td>
                <td><select name="alternate_rows" id="alternate_rows">
                    <option value="0">No</option>
                    <option <?php echo $row->alternate_rows=="1"?"selected=selected":"" ?> value="1">Yes</option>
                </select></td>
            </tr>
            <tr>
                <td><label for="ribbon_text">Highlight text for featured plan</label></td>
                <td><input name="ribbon_text" id="ribbon_text" value="<?php echo $row->ribbon_text ?>" ></td>
            </tr>
            <tr>
                <td><label for="button_text">Button Text</label></td>
                <td><input value="<?php echo $row->button_text==""?"Buy Now":$row->button_text; ?>" name="button_text" id="button_text" placeholder="Buy Now"></td>
            </tr>
        </table>
    </div>
    <div class="grid">
        <table id="table">
            <tr>
                <th colspan="2">Pricing</th>
            </tr>
            <tr>
                <td><label for="decimals">Decimals:</label></td>
                <td><select name="decimals" id="decimals">
                    <?php for($x=0; $x<=3; $x++): $S = $x==$row->decimals?"selected=selected":""; ?>
                    <option <?php echo $S ?> value="<?php echo $x ?>"><?php echo $x ?></option>
                    <?php endfor; ?>
                </select></td>
            </tr>
            <tr>
                <td><label for="decimals_tag">HTML tag for decimals:</label></td>
                <td><select name="decimals_tag" id="decimals_tag">
                    <option value="">==No Tag==</option>
                    <option <?php echo $row->decimals_tag=="b"?"selected=selected":"" ?> value="b">Bold</option>
                    <option <?php echo $row->decimals_tag=="i"?"selected=selected":"" ?> value="i">Italic</option>
                    <option <?php echo $row->decimals_tag=="u"?"selected=selected":"" ?> value="u">Underline</option>
                    <option <?php echo $row->decimals_tag=="sup"?"selected=selected":"" ?> value="sup">Superscript</option>
                    <option <?php echo $row->decimals_tag=="sub"?"selected=selected":"" ?> value="sub">Subscript</option>
                </select></td>
            </tr>
            <tr>
                <td><label for="hide_decimal">Hide decimal symbol:</label></td>
                <td><select name="hide_decimal" id="hide_decimal">
                    <option value="No">No</option>
                    <option <?php echo strtolower($row->hide_decimal)=="yes"?"selected=selected":"" ?> value="Yes">Yes</option>
                </select></td>
            </tr>
            <tr>
                <th colspan="2">Currency</th>
            </tr>
            <tr>
                <td><label for="currency">Select currency:</label></td>
                <td><select name="currency" id="currency">
                    <option value="0">== Default ==</option>
                    <?php $Q = "SELECT * FROM `".whmp_get_currencies_table_name()."`";
                    $currs = $wpdb->get_results($Q);
                    foreach($currs as $curr): $S = $row->currency==$curr->id?"selected=selected":""; ?>
                    <option <?php echo $S ?> value="<?php echo $curr->id ?>"><?php echo $curr->code." ".$curr->prefix." ".$curr->suffix; ?></option>
                    <?php endforeach; ?>
                </select></td>
            </tr>
            <tr>
                <td><label for="prefix">Show prefix:</label></td>
                <td><select name="prefix" id="prefix">
                    <option value="Yes">Yes</option>
                    <option <?php echo strtolower($row->prefix)=="no"?"selected=selected":"" ?> value="No">Do not show prefix</option>
                    <option <?php echo strtolower($row->prefix)=="b"?"selected=selected":"" ?> value="b">Bold</option>
                    <option <?php echo strtolower($row->prefix)=="i"?"selected=selected":"" ?> value="i">Italic</option>
                    <option <?php echo strtolower($row->prefix)=="u"?"selected=selected":"" ?> value="u">Underline</option>
                    <option <?php echo strtolower($row->prefix)=="sup"?"selected=selected":"" ?> value="sup">Superscript</option>
                    <option <?php echo strtolower($row->prefix)=="sub"?"selected=selected":"" ?> value="sub">Subscript</option>
                </select></td>
            </tr>
            <tr>
                <td><label for="suffix">Show suffix:</label></td>
                <td><select name="suffix" id="suffix">
                    <option value="No">Do not show suffix</option>
                    <option <?php echo strtolower($row->suffix)=="yes"?"selected=selected":"" ?> value="Yes">Yes</option>
                    <option <?php echo strtolower($row->suffix)=="b"?"selected=selected":"" ?> value="b">Bold</option>
                    <option <?php echo strtolower($row->suffix)=="i"?"selected=selected":"" ?> value="i">Italic</option>
                    <option <?php echo strtolower($row->suffix)=="u"?"selected=selected":"" ?> value="u">Underline</option>
                    <option <?php echo strtolower($row->suffix)=="sup"?"selected=selected":"" ?> value="sup">Superscript</option>
                    <option <?php echo strtolower($row->suffix)=="sub"?"selected=selected":"" ?> value="sub">Subscript</option>
                </select></td>
            </tr>
            
            <tr>
                <th colspan="2">Billing Cycle</th>
            </tr>
            <tr>
                <td><label for="billingcycle">Select billing cycle:</label></td>
                <td><select name="billingcycle" id="billingcycle">
                    <option value="annually">Annually</option>
                    <option <?php echo $row->billingcycle=="monthly"?"selected=selected":"" ?> value="monthly">Monthly</option>
                    <option <?php echo $row->billingcycle=="quarterly"?"selected=selected":"" ?> value="quarterly">Quarterly</option>
                    <option <?php echo $row->billingcycle=="semiannually"?"selected=selected":"" ?> value="semiannually">Semi Annually</option>
                    <option <?php echo $row->billingcycle=="biennially"?"selected=selected":"" ?> value="biennially">Biennially</option>
                    <option <?php echo $row->billingcycle=="triennially"?"selected=selected":"" ?> value="triennially">Triennially</option>
                </select></td>
            </tr>
            <tr>
                <td><label for="show_duration">Show duration:</label></td>
                <td><select name="show_duration" id="show_duration">
                    <option value="No">Do not show duration</option>
                    <option <?php echo strtolower($row->show_duration)=="yes"?"selected=selected":"" ?> value="Yes">Yes</option>
                    <option <?php echo strtolower($row->show_duration)=="b"?"selected=selected":"" ?> value="b">Bold</option>
                    <option <?php echo strtolower($row->show_duration)=="i"?"selected=selected":"" ?> value="i">Italic</option>
                    <option <?php echo strtolower($row->show_duration)=="u"?"selected=selected":"" ?> value="u">Underline</option>
                    <option <?php echo strtolower($row->show_duration)=="sup"?"selected=selected":"" ?> value="sup">Superscript</option>
                    <option <?php echo strtolower($row->show_duration)=="sub"?"selected=selected":"" ?> value="sub">Subscript</option>
                </select></td>
            </tr>
            <tr>
                <td><label for="show_duration_as">Show duration as:</label></td>
                <td><select name="show_duration_as" id="show_duration_as">
                    <option value="long">Long (Year)</option>
                    <option <?php echo strtolower($row->show_duration_as)=="short"?"selected=selected":"" ?> value="short">Short (Yr)</option>
                </select></td>
            </tr>
            <tr>
                <td><label for="convert_monthly">Convert price into monthly price:</label></td>
                <td><select name="convert_monthly" id="convert_monthly">
                    <option value="no">No</option>
                    <option <?php echo strtolower($row->convert_monthly)=="yes"?"selected=selected":"" ?> value="yes">Yes</option>
                </select></td>
            </tr>            
        </table>
    </div>
</form>