<?php
include_once ("../../../../../wp-load.php");
if ( !is_user_logged_in() ) {
    header('Status: 403 Forbidden');
    header('HTTP/1.1 403 Forbidden');
    exit();
}
header('Content-Type: application/javascript');

//global $wpdb;
$Q = "SELECT `id`,`suffix`,`prefix` FROM `".whmp_get_currencies_table_name()."` ORDER BY `prefix`";
$rows = $wpdb->get_results($Q,ARRAY_A);
$Cur[] = array("value" => "", "text" => "--default--");
foreach($rows as $cur) {
    $Cur[] = array("value" => $cur["id"], "text"=> $cur["prefix"]." - ".$cur["suffix"]);
}
$Cur = json_encode($Cur)."\n";

$Q = "SELECT `id`, `name` FROM `".whmp_get_products_table_name()."` WHERE `type`='hostingaccount' ORDER BY `name`";
$rows = $wpdb->get_results($Q,ARRAY_A);
$Products[] = array("value" => "", "text" => "--Select Product/Service--");
foreach($rows as $row) {
    $Products[] = array("value"=>$row["id"], "text"=>$row["name"]);
}
$Products = json_encode($Products)."\n";
?>
/*(function() {
    tinymce.PluginManager.add('whmpress_tc_button', function( editor, url ) {
        editor.addButton( 'whmpress_tc_button', {
            text: 'WHMPress ShortCodes',
            icon: false,
            onclick: function() {
                editor.insertContent('Hello World!');
            }
        });
    });
})();*/

// https://www.gavick.com/blog/wordpress-tinymce-custom-buttons#tmce-section-1
(function() {
    tinymce.PluginManager.add('whmpress_tc_button', function( editor, url ) {
        editor.addButton( 'whmpress_tc_button', {
            title: 'WHMpress ShortCodes',
            type: 'menubutton',
            icon: 'icon whmpress-own-icon',
            // Types, textbox, checkbox, listbox, container
            menu: [
                {
                    text: 'Price',
                    value: 'Display price',
                    onclick: function(e) {
                        editor.windowManager.open( {
                            title: 'Insert price shortcode',
                            //bodyType: 'tabpanel',
                            body: [{
                                    type: 'listbox',
                                    name: 'id',
                                    label: 'Select Product/Service Package',
                                    values: <?php echo $Products; ?>
                                },{
                                    type: 'listbox',
                                    name: 'billingcycle',
                                    label: 'Select billing cycle',
                                    'values': [
                                        {text: 'Annually', value: 'annually'},
                                        {text: 'Monthly', value: 'monthly'},
                                        {text: 'Quarterly', value: 'quarterly'},
                                        {text: 'Semi Annually', value: 'semiannually'},
                                        {text: 'Biennially', value: 'biennially'},
                                        {text: 'Triennially', value: 'triennially'}
                                    ]
                                },{
                                    type: 'listbox',
                                    name: 'decimals',
                                    label: 'Decimals of amount',
                                    'values': [
                                        {text: '0', value: '0'},
                                        {text: '1', value: '1'},
                                        {text: '2', value: '2'},
                                        {text: '3', value: '3'},
                                    ]
                                },{
                                    type: 'listbox',
                                    name: 'decimals_tag',
                                    label: 'HTML tag for decimals',
                                    'values': [
                                        {text: '==No Tag==', value: ''},
                                        {text: 'Bold', value: 'b'},
                                        {text: 'Italic', value: 'i'},
                                        {text: 'Underline', value: 'u'},
                                        {text: 'Superscript', value: 'sup'},
                                        {text: 'Subscript', value: 'sub'},
                                    ]
                                },{
                                    type: 'listbox',
                                    name: 'hide_decimal',
                                    label: 'Hide decimal',
                                    'values': [
                                        {text: 'No', value: 'No'},
                                        {text: 'Yes', value: 'Yes'},
                                    ]
                                },{
                                    type: 'listbox',
                                    name: 'prefix',
                                    label: 'Show prefix',
                                    'values': [
                                        {text: 'Yes', value: 'Yes'},
                                        {text: 'Do not show prefix', value: 'No'},
                                        {text: 'Bold', value: 'b'},
                                        {text: 'Italic', value: 'i'},
                                        {text: 'Underline', value: 'u'},
                                        {text: 'Superscript', value: 'sup'},
                                        {text: 'Subscript', value: 'sub'},
                                    ]
                                },{
                                    type: 'listbox',
                                    name: 'suffix',
                                    label: 'Show suffix',
                                    'values': [
                                        {text: 'Do not show suffix', value: 'No'},
                                        {text: 'Yes', value: 'Yes'},
                                        {text: 'Bold', value: 'b'},
                                        {text: 'Italic', value: 'i'},
                                        {text: 'Underline', value: 'u'},
                                        {text: 'Superscript', value: 'sup'},
                                        {text: 'Subscript', value: 'sub'},
                                    ]
                                },{
                                    type: 'listbox',
                                    name: 'show_duration',
                                    label: 'Show duration',
                                    'values': [
                                        {text: 'Yes', value: 'Yes'},
                                        {text: 'Do not show duration', value: 'No'},
                                        {text: 'Bol', value: 'b'},
                                        {text: 'Italic', value: 'i'},
                                        {text: 'Underline', value: 'u'},
                                        {text: 'Superscript', value: 'sup'},
                                        {text: 'Subscript', value: 'sub'},
                                    ]
                                },{
                                    type: 'listbox',
                                    name: 'show_duration_as',
                                    label: 'Duration formatter',
                                    'values': [
                                        {text: 'Long (Year)', value: 'long'},
                                        {text: 'Short (Yr)', value: 'short'},
                                    ]
                                },{
                                    type: 'listbox',
                                    name: 'convert_monthly',
                                    label: 'Convert price in monthly price',
                                    'values': [
                                        {text: 'No', value: 'No'},
                                        {text: 'Yes', value: 'Yes'},
                                    ]
                                }
                            ],
                            onsubmit: function( e ) {
                                data = '[whmpress_price';
                                data += ' id="' + e.data.id + '"';
                                data += ' billingcycle="' + e.data.billingcycle + '"';
                                data += ' decimals="' + e.data.decimals + '"';
                                data += ' decimals_tag="' + e.data.decimals_tag + '"';
                                data += ' hide_decimal="' + e.data.hide_decimal + '"';
                                data += ' prefix="' + e.data.prefix + '"';
                                data += ' suffix="' + e.data.suffix + '"';
                                data += ' show_duration="' + e.data.show_duration + '"';
                                data += ' show_duration_as="' + e.data.show_duration_as + '"';
                                data += ' convert_monthly="' + e.data.convert_monthly + '"';
                                data += "]";
                                editor.insertContent( data );
                            }
                        });
                    }
                },
                {
                    text: 'Price Matrix',
                    value: 'Price Matrix',
                    onclick: function() {
                        editor.windowManager.open( {
                        title: 'Insert Price Matrix',
                        body: [
                        {
                            type: 'textbox',
                            name: 'name',
                            label: 'Name'
                        },
                        {
                            type: 'textbox',
                            name: 'group',
                            label: 'Group'
                        },
                        {
                            type: 'textbox',
                            name: 'billingcycles',
                            label: 'Billing cycles'
                        },
                        {
                            type: 'listbox', 
                            name: 'decimals', 
                            label: 'Decimals', 
                            'values': [
                                {text: '0', value: '0'},
                                {text: '1', value: '1'},
                                {text: '2', value: '2'},
                                {text: '3', value: '3'}
                            ]
                        },
                        {
                            type: 'listbox',
                            name: 'show_hidden',
                            label: 'Show hidden',
                            'values': [
                                {text: 'No', value: 'No'},
                                {text: 'Yes', value: 'Yes'},
                            ]
                        },
                        {
                            type: 'textbox',
                            name: 'replace_zero',
                            label: 'Replace zero with',
                            value: 'x'
                        },
                        {
                            type: 'textbox',
                            name: 'replace_empty',
                            label: 'Replace empty with',
                            value: '-'
                        },{
                            type: 'listbox',
                            name: 'type',
                            label: 'Type',
                            values: [
                                {text: 'Product', value:'product'}
                            ]
                        },{
                            type: 'listbox',
                            name: 'hide_search',
                            label: 'Hide search',
                            values: [
                                {text: 'No', value: 'No'},
                                {text: 'Yes', value: 'Yes'},
                            ]
                        },{
                            type: 'textbox',
                            name: 'titles',
                            label: 'Comma separate column titles',
                            value: ''
                        },
                        {
                            type: 'textbox',
                            name: 'search_label',
                            label: 'Label text for search box',
                            value: 'Search:'
                        },
                        {
                            type: 'textbox',
                            name: 'search_placeholder',
                            label: 'Placeholder text for search box',
                            value: 'Search'
                        }
                        ],
                        onsubmit: function( e ) {
                            data = '[whmpress_price_matrix';
                                data += ' name="' + e.data.name + '"';
                                data += ' group="' + e.data.group + '" billingcycles="' + e.data.billingcycles + '"';
                                data += ' decimals="' + e.data.decimals + '"';
                                data += ' show_hidden="' + e.data.show_hidden + '"';
                                data += ' replace_zero="' + e.data.replace_zero + '"';
                                data += ' replace_empty="' + e.data.replace_empty + '"';
                                data += ' type="' + e.data.type + '"';
                                data += ' hide_search="' + e.data.hide_search + '"';
                                data += ' titles="' + e.data.titles + '"';
                                data += ' search_label="' + e.data.search_label + '"';
                                data += ' search_placeholder="' + e.data.search_placeholder + '"';
                                data += "]";
                                editor.insertContent( data );
                        }
                    });
                    }
                },
                {
                    text: 'Price Matrix Domain',
                    value: 'Price Matrix Domain',
                    onclick: function() {
                        editor.windowManager.open( {
                        title: 'Insert Price Table Domain',
                        body: [
                        {
                            type: 'listbox',
                            name: 'hide_search',
                            label: 'Hide search',
                            values: [
                                {text: 'No', value: 'No'},
                                {text: 'Yes', value: 'Yes'},
                            ]
                        },{
                            type: 'textbox',
                            name: 'show_tlds',
                            label: 'Show tlds',
                            value: ''
                        },{
                            type: 'textbox',
                            name: 'show_tlds_wildcard',
                            label: 'Show tlds with wildcard'
                        },{
                            type: 'listbox',
                            name: 'decimals',
                            label: 'Number of decimals for price',
                            values: [
                                {text: '0', value: '0'},
                                {text: '1', value: '1'},
                                {text: '2', value: '2'},
                                {text: '3', value: '3'},
                                {text: '4', value: '4'},
                            ]
                        },{
                            type: 'listbox',
                            name: 'cols',
                            label: 'Number of columns',
                            values: [
                                {text: '1', value: '1'},
                                {text: '2', value: '2'},
                                {text: '3', value: '3'},
                                {text: '4', value: '4'},
                                {text: '5', value: '5'},
                                {text: '6', value: '6'},
                            ]
                        },{
                            type: 'listbox',
                            name: 'show_renewel',
                            label: 'Show renewel price',
                            values: [
                                {text: 'No', value: 'No'},
                                {text: 'Yes', value: 'Yes'},
                            ]
                        },{
                            type: 'listbox',
                            name: 'show_transfer',
                            label: 'Show transfer price',
                            values: [
                                {text: 'No', value: 'No'},
                                {text: 'Yes', value: 'Yes'},
                            ]
                        },
                        {
                            type: 'textbox',
                            name: 'titles',
                            label: 'Comma separated table column titles'
                        },
                        {
                            type: 'textbox',
                            name: 'search_label',
                            label: 'Label for search'
                        },
                        {
                            type: 'textbox',
                            name: 'search_placeholder',
                            label: 'Placeholder text for search box'
                        }
                        ],
                        onsubmit: function( e ) {
                            data = '[whmpress_price_matrix_domain';
                                data += ' hide_search="' + e.data.hide_search + '"';
                                data += ' show_tlds="' + e.data.show_tlds + '"';
                                data += ' show_tlds_wildcard="' + e.data.show_tlds_wildcard + '"';
                                data += ' decimals="' + e.data.decimals + '"';
                                data += ' cols="' + e.data.cols + '"';
                                data += ' show_renewel="' + e.data.show_renewel + '"';
                                data += ' show_transfer="' + e.data.show_transfer + '"';
                                data += ' titles="' + e.data.titles + '"';
                                data += ' search_label="' + e.data.search_label + '"';
                                data += ' search_placeholder="' + e.data.search_placeholder + '"';
                                data += "]";
                                editor.insertContent( data );
                        }
                    });
                    }
                },
                {
                    text: 'Order Combo',
                    value: 'Order Combo',
                    onclick: function() {
                        editor.windowManager.open( {
                        title: 'Insert Order Combo',
                        body: [
                        {
                            type: 'listbox',
                            name: 'id',
                            label: 'Select Product/Service Package',
                            values: <?php echo $Products; ?>
                        },                      
                        /*{
                            type: 'listbox',
                            name: 'currency',
                            label: 'Select Currency',
                            values: <?php echo $Cur; ?>
                        },*/
                        {
                            type: 'listbox',
                            name: 'rows',
                            label: 'How many rows',
                            values: [
                                {value: '1', text: '1'},
                                {value: '2', text: '2'}
                            ]
                        },
                        {
                            type: 'listbox',
                            name: 'decimals',
                            label: 'Decimals',
                            values: [
                                {value: '0', text: '0'},
                                {value: '1', text: '1'},
                                {value: '2', text: '2'},
                                {value: '3', text: '3'},
                            ]
                        },
                        {
                            type: 'listbox',
                            name: 'show_discount',
                            label: 'Show discount',
                            values: [
                                {text: 'Yes', value: 'Yes'},
                                {text: 'No', value: 'No'},
                            ]
                        },
                        {
                            type: 'listbox',
                            name: 'show_button',
                            label: 'Show button',
                            values: [
                                {text: 'Yes', value: 'Yes'},
                                {text: 'No', value: 'No'},
                            ]
                        },
                        {
                            type: 'textbox',
                            name: 'button_text',
                            label: 'Button text',
                        },{
                            type: 'listbox',
                            name: 'discount_type',
                            label: 'Discount type',
                            'values': [
                                {text: 'Yearly', value: 'annually'},
                                {text: 'Monthly', value: 'monthly'}
                            ]
                        },
                        {
                            type: 'textbox',
                            name: 'billingcycles',
                            label: 'Billing cycles'
                        },
                        {
                            type: 'listbox',
                            name: 'prefix',
                            label: 'Show prefix',
                            values: [
                                {text: 'Yes', value: 'Yes'},
                                {text: 'No', value: 'No'},
                            ]
                        },
                        {
                            type: 'listbox',
                            name: 'suffix',
                            label: 'Show suffix',
                            values: [
                                {text: 'Yes', value: 'Yes'},
                                {text: 'No', value: 'No'},
                            ]
                        }
                        ],
                        onsubmit: function( e ) {
                            data = '[whmpress_order_combo';
                                data += ' id="' + e.data.id + '"';
                                data += ' rows="' + e.data.rows + '"';
                                data += ' decimals="' + e.data.decimals + '"';
                                data += ' show_discount="' + e.data.show_discount + '"';
                                data += ' show_button="' + e.data.show_button + '"';
                                data += ' button_text="' + e.data.button_text + '"';
                                data += ' discount_type="' + e.data.discount_type + '"';
                                data += ' billingcycles="' + e.data.billingcycles + '"';
                                data += ' prefix="' + e.data.prefix + '"';
                                data += ' suffix="' + e.data.suffix + '"';
                                data += "]";
                                editor.insertContent( data );
                        }
                    });
                    }
                },
                {
                    text: 'Order Button',
                    value: 'Order Button',
                    onclick: function() {
                        editor.windowManager.open( {
                        title: 'Insert Order Button',
                        body: [
                        {
                            type: 'listbox',
                            name: 'id',
                            label: 'Select Product/Service Package',
                            values: <?php echo $Products; ?>
                        },
                        {
                            type: 'listbox',
                            name: 'billingcycle',
                            label: 'Select billing cycle',
                            'values': [
                                {text: 'Annually', value: 'annually'},
                                {text: 'Monthly', value: 'monthly'},
                                {text: 'Quarterly', value: 'quarterly'},
                                {text: 'Semi Annually', value: 'semiannually'},
                                {text: 'Biennially', value: 'biennially'},
                                {text: 'Triennially', value: 'triennially'}
                            ]
                        },
                        {
                            type: 'textbox',
                            name: 'button_text',
                            label: 'Button text',
                            value: 'Order'
                        },
                        ],
                        onsubmit: function( e ) {
                            data = '[whmpress_order_button';
                                data += ' button_text="' + e.data.button_text + '"';
                                data += ' id="' + e.data.id + '"';
                                data += ' billingcycle="' + e.data.billingcycle + '"';
                                data += "]";
                                editor.insertContent( data );
                        }
                    });
                    }
                },
                {
                    text: 'Order Link',
                    value: 'Order Link',
                    onclick: function() {
                        editor.windowManager.open( {
                        title: 'Insert Order Link',
                        body: [
                        {
                            type: 'listbox',
                            name: 'id',
                            label: 'Select Product/Service Package',
                            values: <?php echo $Products; ?>
                        },
                        {
                            type: 'listbox',
                            name: 'billingcycle',
                            label: 'Select billing cycle',
                            'values': [
                                {text: 'Annually', value: 'annually'},
                                {text: 'Monthly', value: 'monthly'},
                                {text: 'Quarterly', value: 'quarterly'},
                                {text: 'Semi Annually', value: 'semiannually'},
                                {text: 'Biennially', value: 'biennially'},
                                {text: 'Triennially', value: 'triennially'}
                            ]
                        },
                        {
                            type: 'textbox',
                            name: 'link_text',
                            label: 'Link text',
                            value: 'Order'
                        },
                        ],
                        onsubmit: function( e ) {
                            data = '[whmpress_order_link';
                                data += ' link_text="' + e.data.link_text + '"';
                                data += ' id="' + e.data.id + '"';
                                data += ' billingcycle="' + e.data.billingcycle + '"';
                                data += "]";
                                editor.insertContent( data );
                        }
                    });
                    }
                },
                {
                    text: 'Order URL',
                    value: 'Order URL',
                    onclick: function() {
                        editor.windowManager.open( {
                        title: 'Insert Order URL',
                        body: [
                        {
                            type: 'listbox',
                            name: 'id',
                            label: 'Select Product/Service Package',
                            values: <?php echo $Products; ?>
                        },
                        {
                            type: 'listbox',
                            name: 'billingcycle',
                            label: 'Select billing cycle',
                            'values': [
                                {text: 'Annually', value: 'annually'},
                                {text: 'Monthly', value: 'monthly'},
                                {text: 'Quarterly', value: 'quarterly'},
                                {text: 'Semi Annually', value: 'semiannually'},
                                {text: 'Biennially', value: 'biennially'},
                                {text: 'Triennially', value: 'triennially'}
                            ]
                        },
                        ],
                        onsubmit: function( e ) {
                            data = '[whmpress_order_url';
                                data += ' id="' + e.data.id + '"';
                                data += ' billingcycle="' + e.data.billingcycle + '"';
                                data += "]";
                                editor.insertContent( data );
                        }
                    });
                    }
                },
                {
                    text: 'Domain Search',
                    value: 'Domain Search',
                    onclick: function() {
                        editor.windowManager.open( {
                        title: 'Insert Domain Search',
                        body: [
                        {
                            type: 'textbox',
                            name: 'show_tlds',
                            label: 'Show tlds',
                            value: '.com,.net,.org'
                        },
                        {
                            type: 'textbox',
                            name: 'show_tlds_wildcard',
                            label: 'Tlds wildcard',
                        },
                        {
                            type: 'listbox',
                            name: 'show_combo',
                            label: 'Show combo',
                            'values': [
                                {text: 'No', value: 'No'},
                                {text: 'Yes', value: 'Yes'},
                            ]
                        },
                        {
                            type: 'textbox',
                            name: 'placeholder',
                            label: 'Placeholder text',
                        },
                        {
                            type: 'textbox',
                            name: 'text_class',
                            label: 'Textbox HTML class',
                        },
                        {
                            type: 'textbox',
                            name: 'action',
                            label: 'Action URL for form',
                        },
                        {
                            type: 'textbox',
                            name: 'button_text',
                            label: 'Button text',
                            value: 'Search'
                        }
                        ],
                        onsubmit: function( e ) {
                            data = '[whmpress_domain_search';
                                data += ' show_tlds="' + e.data.show_tlds + '"';
                                data += ' show_tlds_wildcard="' + e.data.show_tlds_wildcard + '"';
                                data += ' show_combo="' + e.data.show_combo + '"';
                                data += ' placeholder="' + e.data.placeholder + '"';
                                data += ' text_class="' + e.data.text_class + '"';
                                data += ' action="' + e.data.action + '"';
                                data += ' button_text="' + e.data.button_text + '"';
                                data += "]";
                                editor.insertContent( data );
                        }
                    });
                    }
                },
                {
                    text: 'Currency',
                    value: 'Currency',
                    onclick: function() {
                        editor.windowManager.open( {
                        title: 'Insert Currency',
                        body: [
                        {
                            type: 'listbox',
                            name: 'show',
                            label: 'Show',
                            'values': [
                                {text: 'Prefix', value: 'prefix'},
                                {text: 'Suffix', value: 'suffix'},
                                {text: 'Code', value: 'code'},
                            ]
                        }
                        ],
                        onsubmit: function( e ) {
                            data = '[whmpress_currency';
                                data += ' show="' + e.data.show + '"';
                                data += "]";
                                editor.insertContent( data );
                        }
                    });
                    }
                },
                {
                    text: 'Currency Combo',
                    value: 'Currency Combo',
                    onclick: function() {
                        editor.windowManager.open( {
                        title: 'Insert Currency Combo',
                        body: [
                        {
                            type: 'textbox',
                            name: 'combo_class',
                            label: 'HTML class for combo',
                        },
                        {
                            type: 'textbox',
                            name: 'combo_name',
                            label: 'HTML object name for combo',
                        },
                        {
                            type: 'listbox',
                            name: 'prefix',
                            label: 'Show prefix',
                            values: [
                                {"value":"Yes", "text":"Yes"},
                                {"value":"No", "text":"No"}
                            ]
                        }
                        ],
                        onsubmit: function( e ) {
                            data = '[whmpress_currency_combo';
                                data += ' combo_name="' + e.data.combo_name + '"';
                                data += ' combo_class="' + e.data.combo_class + '"';
                                data += ' prefix="' + e.data.prefix + '"';
                                data += "]";
                                editor.insertContent( data );
                        }
                    });
                    }
                },
                {
                    text: 'Service Name',
                    value: 'Service Name',
                    onclick: function() {
                        editor.windowManager.open( {
                        title: 'Insert Service Name',
                        body: [
                        {
                            type: 'listbox',
                            name: 'id',
                            label: 'Select Product/Service Package',
                            values: <?php echo $Products; ?>
                        }
                        ],
                        onsubmit: function( e ) {
                            data = '[whmpress_name';
                                data += ' id="' + e.data.id + '"';
                                data += "]";
                                editor.insertContent( data );
                        }
                    });
                    }
                },
                {
                    text: 'Service Description',
                    value: 'Service Description',
                    onclick: function() {
                        editor.windowManager.open( {
                        title: 'Insert Service Description',
                        body: [
                        {
                            type: 'listbox',
                            name: 'id',
                            label: 'Select Product/Service Package',
                            values: <?php echo $Products; ?>
                        },
                        {
                            type: 'listbox',
                            name: 'show_as',
                            label: 'Show as',
                            values: [
                                {"value":"", "text":"--Select Option--"},
                                {"value":"ul", "text":"Unordered List"},
                                {"value":"ol", "text":"Ordered List"}
                            ]
                        }
                        ],
                        onsubmit: function( e ) {
                            data = '[whmpress_description';
                                data += ' id="' + e.data.id + '"';
                                data += ' show_as="' + e.data.show_as + '"';
                                data += "]";
                                editor.insertContent( data );
                        }
                    });
                    }
                },
                {
                    text: 'Price Box',
                    value: 'Price Box',
                    onclick: function() {
                        editor.windowManager.open( {
                        title: 'Insert Price Box',
                        body: [
                        {
                            type: 'listbox',
                            name: 'id',
                            label: 'Select Product/Service Package',
                            values: <?php echo $Products; ?>
                        },
                        {
                            type: 'listbox',
                            name: 'billingcycle',
                            label: 'Select billing cycle',
                            'values': [
                                {text: 'Annually', value: 'annually'},
                                {text: 'Monthly', value: 'monthly'},
                                {text: 'Quarterly', value: 'quarterly'},
                                {text: 'Semi Annually', value: 'semiannually'},
                                {text: 'Biennially', value: 'biennially'},
                                {text: 'Triennially', value: 'triennially'}
                            ]
                        },
                        {
                            type: 'listbox',
                            name: 'box_type',
                            label: 'Box type',
                            values: [
                                {'text':'Vertical', 'value':'Vertical'},
                                {'text':'Horizontal', 'value':'Horizontal'}
                            ]
                        },
                        {
                            type: 'listbox',
                            name: 'show_price',
                            label: 'Show price',
                            values: [
                                {"value":"Yes", "text":"Yes"},
                                {"value":"No", "text":"No"}
                            ]
                        },
                        {
                            type: 'listbox',
                            name: 'show_combo',
                            label: 'Show combo',
                            values: [
                                {"value":"No", "text":"No"},
                                {"value":"Yes", "text":"Yes"}
                            ]
                        },
                        {
                            type: 'listbox',
                            name: 'show_button',
                            label: 'Show button',
                            values: [
                                {"value":"Yes", "text":"Yes"},
                                {"value":"No", "text":"No"}
                            ]
                        }
                        ],
                        onsubmit: function( e ) {
                            data = '[whmpress_price_box';
                                data += ' id="' + e.data.id + '"';
                                data += ' box_type="' + e.data.box_type + '"'                                
                                data += ' billingcycle="' + e.data.billingcycle + '"';
                                data += ' show_price="' + e.data.show_price + '"';
                                data += ' show_combo="' + e.data.show_combo + '"';
                                data += ' show_button="' + e.data.show_button + '"';
                                data += "]";
                                editor.insertContent( data );
                        }
                    });
                    }
                },
                {
                    text: 'Domain Search Ajax Form',
                    value: 'Domain Search Form',
                    onclick: function() {
                        editor.windowManager.open( {
                        title: 'Insert Domain Search Ajax Form',
                        body: [
                        {
                            type: 'textbox',
                            name: 'action',
                            label: 'Form action URL',
                            value: ''
                        },
                        {
                            type: 'textbox',
                            name: 'placeholder',
                            label: 'Placeholder for search box',
                            value: 'Search domain ...'
                        },{
                            type: 'textbox',
                            name: 'text_class',
                            label: 'HTML class for search box',
                            value: ''
                        },{
                            type: 'textbox',
                            name: 'button_text',
                            label: 'Button text',
                            value: 'Search'
                        }],
                        onsubmit: function( e ) {
                            data = '[whmpress_domain_search_ajax';
                                data += ' action="' + e.data.action + '"';
                                data += ' placeholder="' + e.data.placeholder + '"';
                                data += ' text_class="' + e.data.text_class + '"'                                
                                data += ' button_text="' + e.data.button_text + '"';
                                data += "]";
                                editor.insertContent( data );
                        }
                    });
                    }
                },
                {
                    text: 'Domain Search Ajax Result',
                    value: 'Domain Search Ajax Result',
                    onclick: function() {
                        editor.windowManager.open( {
                        title: 'Insert Domain Search Ajax Result',
                        body: [
                        {
                            type: 'textbox',
                            name: 'searchonly',
                            label: 'Type * or extension for result (e.g. .com,.net,.org)',
                            value: '*'
                        }
                        ],
                        onsubmit: function( e ) {
                            data = '[whmpress_domain_search_ajax_results';
                                data += ' searchonly="' + e.data.searchonly + '"';
                                data += "]";
                                editor.insertContent( data );
                        }
                    });
                    }
                },
                {
                    text: 'Domain Search Ajax Extended Form',
                    value: 'Domain Search Extended Form',
                    onclick: function() {
                        editor.windowManager.open( {
                        title: 'Insert Domain Search Ajax Form',
                        body: [
                        {
                            type: 'textbox',
                            name: 'action',
                            label: 'Form action URL',
                            value: ''
                        },
                        {
                            type: 'textbox',
                            name: 'placeholder',
                            label: 'Placeholder for search box',
                            value: 'Search domain ...'
                        },{
                            type: 'textbox',
                            name: 'text_class',
                            label: 'HTML class for search box',
                            value: ''
                        },{
                            type: 'textbox',
                            name: 'button_text',
                            label: 'Button text',
                            value: 'Search'
                        }],
                        onsubmit: function( e ) {
                            data = '[whmpress_domain_search_extended_ajax';
                                data += ' action="' + e.data.action + '"';
                                data += ' placeholder="' + e.data.placeholder + '"';
                                data += ' text_class="' + e.data.text_class + '"';
                                data += ' button_text="' + e.data.button_text + '"';
                                data += "]";
                                editor.insertContent( data );
                        },
                    });
                    }
                },
                {
                    text: 'Domain Search Ajax Extended Result',
                    value: 'Domain Search Ajax Extended Result',
                    onclick: function() {
                        editor.windowManager.open( {
                        title: 'Insert Domain Search Ajax Result',
                        body: [
                        {
                            type: 'textbox',
                            name: 'searchonly',
                            label: 'Type * or extension for result (e.g. .com,.net,.org)',
                            value: '*'
                        }
                        ],
                        onsubmit: function( e ) {
                            data = '[whmpress_domain_search_extended_ajax_results';
                                data += ' searchonly="' + e.data.searchonly + '"';
                                data += "]";
                                editor.insertContent( data );
                        }
                    });
                    }
                },
                {
                    text: 'Bulk Domains Search',
                    value: 'Bulk Domains Search',
                    onclick: function() {
                        editor.windowManager.open( {
                        title: 'Insert Bulk Domains Search',
                        body: [,
                        {
                            type: 'textbox',
                            name: 'placeholder',
                            label: 'Placeholder for search box',
                            value: 'Search domain ...'
                        },{
                            type: 'textbox',
                            name: 'text_class',
                            label: 'HTML class for search box',
                            value: ''
                        },{
                            type: 'textbox',
                            name: 'button_text',
                            label: 'Button text',
                            value: 'Search'
                        }],
                        onsubmit: function( e ) {
                            data = '[whmpress_domain_search_bulk';
                                data += ' placeholder="' + e.data.placeholder + '"';
                                data += ' text_class="' + e.data.text_class + '"';
                                data += ' button_text="' + e.data.button_text + '"';
                                data += "]";
                                editor.insertContent( data );
                        },
                    });
                    }
                },
                {
                    text: 'Whois Form',
                    value: 'Whois Form',
                    onclick: function() {
                        editor.windowManager.open( {
                        title: 'Get whois resutl of a domain',
                        body: [,
                        {
                            type: 'textbox',
                            name: 'placeholder',
                            label: 'Placeholder for search box',
                            value: 'Type domain name e.g. whmpress.com'
                        },{
                            type: 'textbox',
                            name: 'text_class',
                            label: 'HTML class for search box',
                            value: ''
                        },{
                            type: 'textbox',
                            name: 'button_text',
                            label: 'Button text',
                            value: 'Get Whois'
                        },{
                            type: 'textbox',
                            name: 'result_text_class',
                            label: 'HTML class for result',
                            value: ''
                        }],
                        onsubmit: function( e ) {
                            data = '[whmpress_whois';
                                data += ' placeholder="' + e.data.placeholder + '"';
                                data += ' text_class="' + e.data.text_class + '"';
                                data += ' button_text="' + e.data.button_text + '"';
                                data += ' result_text_class="' + e.data.result_text_class + '"';
                                data += "]";
                                editor.insertContent( data );
                        },
                    });
                    }
                }
                /*{
                    text: 'Menu item II',
                    value: 'Text from menu item II',
                    onclick: function() {
                        editor.insertContent(this.value());
                    },
                    menu: [
                        {
                            text: 'First submenu item',
                            value: 'Text from sub sub menu',
                            onclick: function(e) {
                                e.stopPropagation();
                                editor.insertContent(this.value());
                            }       
                        },
                        {
                            text: 'Second submenu item',
                            value: 'Text from sub sub menu',
                            onclick: function(e) {
                                e.stopPropagation();
                                editor.insertContent(this.value());
                            }       
                        }
                    ]
                },*/
                
           ]
        })
    });
})();














/*
<script type="text/javascript">
    tinymce.PluginManager.add('myplugin', function(editor, url) {
        editor.on('init', function() {
            editor.addCommand('openMyPlugin', function() {
                var options = {
                    width: 800,
                    height: 340,
                    title: 'My plugin',
                    data: {},
                    bodyType: 'tabpanel',
                    defaults: {
    //                    layout: 'flow',
                        //                    height: "auto",
                    },
  //                  layout: "flow",
                    body: [{
                            "title": "Settings",
                            "type": "form",
//                            layout: "stack",
                            "items": [
                                {
                                    "label": "Heading",
                                    "name": "heading",
                                    "value": "A project",
                                    "type": "textbox",
                                }, {
                                    "label": "Modified",
                                    "name": "lastModified",
                                    "value": "1379152927",
                                    "type": "textbox",
                                }, {
                                    "label": "Published",
                                    "name": "published",
                                    "type": "textbox",
                                }, {
                                    "label": "Parent",
                                    "name": "parentId",
                                    "value": "5",
                                    "type": "filepicker",
                                    "filetype": "page",
                                }, {
                                    "label": "Order",
                                    "name": "order",
                                    "value": "19",
                                    "type": "textbox",
                                }, {
                                    "label": "Type",
                                    "name": "type",
                                    "value": "1",
                                    "type": "listbox",
                                    "values": [{
                                            "text": "Home Page",
                                            "value": "1"
                                        }, {
                                            "text": "Html Page",
                                            "value": "2"
                                        }, {
                                            "text": "Internal Page",
                                            "value": "3"
                                        }, {
                                            "text": "Landing Page",
                                            "value": "4"
                                        }, {
                                            "text": "Showcase",
                                            "value": "5"
                                        }, {
                                            "text": "Showcase Landing",
                                            "value": "6"
                                        }],
                                }, {
                                    "label": "URL",
                                    "name": "url",
                                    "value": "A project",
                                    "type": "textbox",
                                }],
                        }, {
                            "title": "Showcase",
                            "type": "form",
                            "items": [{
                                    "label": "Client",
                                    "name": "client",
                                    "type": "textbox",
                                }, {
                                    "label": "Date",
                                    "name": "date",
                                    "type": "textbox",
                                    "format": "dd\/mm\/yy",
                                }, {
                                    "label": "Images",
                                    "name": "images",
                                    "value": "[\"http:\\\/\\\/lorempixel.com\\\/400\\\/200\\\/business?_=VUNV\",\"http:\\\/\\\/lorempixel.com\\\/400\\\/200\\\/business?_=HX44\",\"http:\\\/\\\/lorempixel.com\\\/400\\\/200\\\/business?_=7LiW\",\"http:\\\/\\\/lorempixel.com\\\/400\\\/200\\\/business?_=AL66\"]",
                                    "type": "textbox",
                                }, {
                                    "label": "Info",
                                    "name": "info",
                                    "type": "textbox",
                                    "format": "dd\/mm\/yy",
                                }],
                        }, {
                            "title": "Page metadata",
                            "type": "form",
                            "items": [{
                                    "label": "Description",
                                    "name": "description",
                                    "type": "textbox",
                                    "multiline": true,
                                }, {
                                    "label": "Keywords",
                                    "name": "keywords",
                                    "type": "textbox",
                                }, {
                                    "label": "Meta tags",
                                    "name": "meta",
                                    "type": "textbox",
                                }],
                        }, {
                            "title": "Navigation settings",
                            "type": "form",
                            "items": [{
                                    "label": "Name in menu",
                                    "name": "menuName",
                                    "value": "A project",
                                    "type": "textbox",
                                }, {
                                    "label": "Show in menu",
                                    "name": "show",
                                    "value": "1",
                                    "type": "checkbox",
                                }],
                        }, {
                            "title": "Page information",
                            "type": "form",
                            "items": [{
                                    "label": "Title",
                                    "name": "title",
                                    "type": "textbox",
                                }],
                        }, {
                            "title": "Domain Search Ajax",
                            "type": "form",
                            "items": [{
                                    "label": "Action for form submission",
                                    "name": "action",
                                    "value": "",
                                    "type": "textbox"
                                }]
                            //"whmpress_domain_search_ajax"
                        }],
                    onSubmit: function(e) {
                    }
                };
                var win = editor.windowManager.open(options);
                win.reflow();
            });
        });

        editor.addButton('mypluginbtn', {
            text: 'Open myplugin',
            icon: false,
            cmd: 'openMyPlugin'
        });
    });

    tinymce.init({
        selector: "textarea",
        plugins: [
            "myplugin"
        ],
        toolbar: "mypluginbtn"
    });
</script>

<form method="post" action="dump.php">
    <textarea name="content"></textarea>
</form>
http://fiddle.tinymce.com/S1daab
*/