<?php
$Wp_load = realpath(dirname(__FILE__).'/../../../../wp-load.php');
if (!file_Exists($Wp_load)) die("WordPress library not found.");
require_once ($Wp_load);
if (isset($_GET["setCurrency"])) {
    $_SESSION["currency"] = $_POST["curency"];
    echo "OK";
    exit;
}

switch ($_POST["do"]) {
    case "getDomainData":
        include_once (WHMP_PLUGIN_DIR . "/includes/whois.class.php");
        $whois = new Whois;
        $domain = $_POST["domain"];
        $searchonly = @$_POST["searchonly"];
        if ($searchonly == "") $searchonly = "*";
        
        $domain = ltrim($domain, '//');
        if (substr(strtolower($domain), 0, 7) == "http://") $domain = substr($domain, 7);
        if (substr(strtolower($domain), 0, 8) == "https://") $domain = substr($domain, 8);
        $domain = "http://" . $domain;
        $domain = parse_url($domain);
        if (strtolower(substr($domain["host"], "0,4"))=="www.") $domain["host"] = substr($domain["host"],4);
        if (strtolower(substr($domain["host"], "0,3"))=="ww.") $domain["host"] = substr($domain["host"],3);
        
        $domain["extension"] = whmp_get_domain_extension($domain["host"]);
        if ($domain["extension"] == "") {
            $domain["host"] .= ".com";
            $domain["extension"] = "com";
        }
        
        $result = $whois->whoislookup($domain["host"], $domain["extension"]);
        
        $HTML = "";
        if ($result) {
            $Class = "found";
            $Dom = str_replace($domain["extension"], $domain["extension"],$domain["host"]);
            $Message = get_option("domain_available_message");
            if ($Message=="") $Message = "[domain-name] available";
            $Message = str_replace("[domain-name]", $Dom, $Message);
            $onlydomain = str_replace("." . $domain["extension"], "", $domain["host"]);
            
            $Q = "SELECT d.id, d.extension 'tld', t.type, c.code, c.suffix, c.prefix, t.msetupfee
            FROM `".whmp_get_domain_pricing_table_name()."` AS d
            INNER JOIN `".whmp_get_pricing_table_name()."` AS t ON t.relid = d.id
            INNER JOIN `".whmp_get_currencies_table_name()."` AS c ON c.id = t.currency
            WHERE t.type
            IN (
            'domainregister'
            ) AND d.extension IN ('.{$domain["extension"]}')
            AND c.code='".whmp_get_currency_code()."' 
            ORDER BY d.id ASC 
            LIMIT 0 , 30";
            $price = $wpdb->get_row($Q,ARRAY_A);
            $price = @$price[ get_option('default_currency_symbol',"prefix") ].$price["msetupfee"];
            
            $HTML .= "
            <div class='found-title'>
            <span><i class='fa fa-check'></i> $Message</span>
            $price
            <a href='".get_option("whmcs_url")."cart.php?a=add&domain=register&sld={$onlydomain}&tld=.{$domain["extension"]}'>Register Domain</a>
            <div style='clear:both'></div>
            </div>";
        } else {
            $Dom = str_replace($domain["extension"],  $domain["extension"], $domain["host"]);
            $Message = get_option("domain_not_available_message");
            if ($Message=="") $Message = "<b>[domain-name]</b> not available and already registered";
            $Message = str_replace("[domain-name]", $Dom, $Message);
            $HTML .= "
            <div class='not-found-title'><i class='fa fa-warning'></i> $Message</div>
            ";
        }
        if (isset($_POST["skip_extra"])) {
            global $wpdb;
            $extensions = whmpress_get_option('whois_db');
            $extensions = explode("\n",$extensions);
            foreach($extensions as $y=>&$ext) {
                $E = explode("|",$ext);
                $ext = @$E[0];
                if ($wpdb->get_var("SELECT COUNT(*) FROM `".whmp_get_domain_pricing_table_name()."` WHERE `extension`='$ext'")==0) {
                    unset($extensions[$y]);
                }
            }
            $PageSize = get_option('no_of_domains_to_show','10');
            $extensions = array_slice($extensions, 0, $PageSize);
            $extensions = array_values($extensions);
        } elseif ($searchonly == "*") {            
            $extensions = get_option("tld_order");
            if (trim($extensions)=="") {
                $extensions = whmpress_get_option('whois_db');
                $extensions = explode("\n",$extensions);
                $PageSize = get_option('no_of_domains_to_show','10');
                $extensions = array_slice($extensions, 0, $PageSize);
                foreach($extensions as &$ext) {
                    $E = explode("|",$ext);
                    $ext = @$E[0];
                }
            } else {
                $extensions = str_replace(" ", "", $extensions);
                $extensions = explode(",", $extensions);
            }
        } else {
            $extensions = $searchonly;
            $extensions = str_replace(" ", "", $extensions);
            $extensions = explode(",", $extensions);
        }
        //show_array($extensions); die("Test");
        $Message = get_option("domain_recommended_list");
        if ($Message=="") $Message = "Recommended domains list";
        $Message = str_replace("[domain-name]", $domain["host"], $Message);
        $HTML .= "<div class='recommended'>$Message</div>";
        $onlydomain = str_replace("." . $domain["extension"], "", $domain["host"]);
        
        $HTML .= "<div class='result-div'>";
        foreach ($extensions as $ext) {
            $ext = ltrim($ext, ".");
            if ($ext <> $domain["extension"]) {
                $newDomain = $onlydomain . "." . $ext;
                $result = $whois->whoislookup($newDomain, $ext);
                if ($result) {
                    $Dom = $newDomain;
                    $Message = "[domain-name] available";
                    $Message = str_replace("[domain-name]", $Dom, $Message);
                    
                    $Q = "SELECT d.id, d.extension 'tld', t.type, c.code, c.suffix, c.prefix, t.msetupfee
                    FROM `".whmp_get_domain_pricing_table_name()."` AS d
                    INNER JOIN `".whmp_get_pricing_table_name()."` AS t ON t.relid = d.id
                    INNER JOIN `".whmp_get_currencies_table_name()."` AS c ON c.id = t.currency
                    WHERE t.type
                    IN (
                    'domainregister'
                    ) AND d.extension IN ('.{$ext}')
                    AND c.code='".whmp_get_currency_code()."' 
                    ORDER BY d.id ASC 
                    LIMIT 0 , 30";
                    $price = $wpdb->get_row($Q,ARRAY_A);
                    
                    if (!empty($price["msetupfee"])) $button = "<a href='".get_option("whmcs_url")."cart.php?a=add&domain=register&sld={$onlydomain}&tld=.{$ext}'>Register Domain</a>";
                    else $button = "";
                    
                    $price = @$price[ get_option('default_currency_symbol',"prefix") ].$price["msetupfee"];
                    
                    $HTML .= "
                    <div class='found-div'><span><i class='fa fa-check'></i> $Message</span>
                    $price
                    $button
                    <div style='clear:both'></div>
                    </div>\n";
                } else {
                    $Dom = $newDomain;
                    $Message = get_option('ongoing_domain_not_available_message',"[domain-name] is registered");
                    $Message = str_replace("[domain-name]", $Dom, $Message);
                    $HTML .= "<div class='not-found-div'>
                    <span><i class='fa fa-warning'></i> $Message<span></div>\n";
                }
            }
        }
        if ($searchonly == "*") {
            $HTML .= "<div id='load-more-div' class='load-more-div'><button type='button'>Load More ...</button></div>";
        }
        $HTML .= "</div>";
        echo $HTML;
        break;
    case "loadWhoisPage":
        include_once (WHMP_PLUGIN_DIR . "/includes/whois.class.php");
        $whois = new Whois;
        $HTML = "";
        $domain = $_POST["domain"];
        $domain = ltrim($domain, '//');
        if (substr(strtolower($domain), 0, 7) == "http://") $domain = substr($domain, 7);
        if (substr(strtolower($domain), 0, 8) == "https://") $domain = substr($domain, 8);
        $domain = "http://" . $domain;
        $domain = parse_url($domain);
        if (strtolower(substr($domain["host"],"0,4"))=="www.") $domain["host"] = substr($domain["host"],4);
        if (strtolower(substr($domain["host"],"0,3"))=="ww.") $domain["host"] = substr($domain["host"],3);
        $domain["extension"] = whmp_get_domain_extension($domain["host"]);
        if ($domain["extension"] == $domain["host"]) {
            $domain["extension"] = "com";
            $domain["host"] .= ".com";
        }
        $onlydomain = str_replace("." . $domain["extension"], "", $domain["host"]);
        $WhoIS = whmpress_get_option("whois_db");
        $WhoIS = explode("\n", $WhoIS);
        
        # Removing domains from WhoIs DB if not found in your WHMCS data.
        # If extended domain ajax call then it will true
        global $wpdb;
        if (isset($_POST["skip_extra"])) {
            foreach($WhoIS as $x=>$line) {
                $ar = explode("|", $line);
                $ext = @$ar[0];
                if ($wpdb->get_var("SELECT COUNT(*) FROM `".whmp_get_domain_pricing_table_name()."` WHERE `extension`='$ext'")==0) {
                    unset($WhoIS[$x]);
                }
            }
            $WhoIS = array_values($WhoIS);
        }
        
        # Removing domains from WhoIs DB who are in backend settings
        $extensions = get_option("tld_order");
        $extensions = str_replace(" ", "", $extensions);
        $extensions = explode(",", $extensions);
        
        foreach($WhoIS as $x=>$line) {
            $ar = explode("|", $line);
            $ext = @$ar[0];
            if (in_array($ext,$extensions)) {
                unset($WhoIS[$x]);
            } 
        }
        $WhoIS = array_values($WhoIS);
        # creating pagination
        $PageSize = get_option('no_of_domains_to_show','10');
        $start = ($_POST["page"] - 1) * ($PageSize);
        $WhoIS = array_slice($WhoIS, $start, $PageSize);
        //show_array($WhoIS); die;
        
        foreach ($WhoIS as $line) {
            $ar = explode("|", $line);
            $ext = ltrim(@$ar[0], ".");
            if ($ext <> $domain["extension"]) {
                $newDomain = $onlydomain . "." . $ext;
                //echo $newDomain ."=". $ext."<br />";
                $result = $whois->whoislookup($newDomain, $ext);
                $price = "";
                if ($result) {
                    $Dom = $newDomain;
                    $Message = "[domain-name] available";
                    $Message = str_replace("[domain-name]", $Dom, $Message);
                    
                    $Q = "SELECT d.id, d.extension 'tld', t.type, c.code, c.suffix, c.prefix, t.msetupfee
                    FROM `".whmp_get_domain_pricing_table_name()."` AS d
                    INNER JOIN `".whmp_get_pricing_table_name()."` AS t ON t.relid = d.id
                    INNER JOIN `".whmp_get_currencies_table_name()."` AS c ON c.id = t.currency
                    WHERE t.type
                    IN (
                    'domainregister'
                    ) AND d.extension IN ('.{$ext}')
                    AND c.code='".whmp_get_currency_code()."' 
                    ORDER BY d.id ASC 
                    LIMIT 0 , 30";
                    $price = $wpdb->get_row($Q,ARRAY_A);
                    if (empty($price["msetupfee"])) $button="";
                    else $button = "<a href='".get_option("whmcs_url")."cart.php?a=add&domain=register&sld={$onlydomain}&tld=.{$ext}'>Register Domain</a>";
                    $price = @$price[ get_option('default_currency_symbol',"prefix") ].$price["msetupfee"];
                    $HTML .= "
                    <div class='found-div'><span><i class='fa fa-check'></i> $Message</span>
                    $price
                    $button
                    <div style='clear:both'></div>
                    </div>\n";
                } else {
                    $Dom = "<span>".$newDomain."</span>";
                    $Message = get_option('ongoing_domain_not_available_message',"[domain-name] is registered");
                    $Message = str_replace("[domain-name]", $Dom, $Message);
                    $HTML .= "<div class='not-found-div'><i class='fa fa-warning'></i> $Message</div>\n";
                }
            }
        }
        if (sizeof($WhoIS)>=$PageSize)
            $HTML .= "<div class='load-more-div' id='load-more-div'><button>Load More ...</button></div>";
        echo $HTML;
        break;
}
exit;
wp_die(); // this is required to return a proper result